Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class NodeLocator

    java.lang.Object
      org.apache.xml.dtm.ref.NodeLocator

All Implemented Interfaces:
  SourceLocator

public class NodeLocator
extends java.lang.Object
implements SourceLocator

`NodeLocator` maintains information on an XML source node.

Since:
  May 23, 2001
Author:
  Ovidiu Predescu

Constructor Summary
`NodeLocator(java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber)` Creates a new `NodeLocator` instance.

Method Summary
`int` | `getColumnNumber()` `getColumnNumber` returns the column number of the node.
`int` | `getLineNumber()` `getLineNumber` returns the line number of the node.
`java.lang.String` | `getPublicId()` `getPublicId` returns the public ID of the node.
`java.lang.String` | `getSystemId()` `getSystemId` returns the system ID of the node.
`java.lang.String` | `toString()` `toString` returns a string representation of this NodeLocator instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeLocator

    public NodeLocator(java.lang.String publicId,
                       java.lang.String systemId,
                       int lineNumber,
                       int columnNumber)

  Creates a new `NodeLocator` instance.

Parameters:
  `publicId` - a `String` value
  `systemId` - a `String` value
  `lineNumber` - an `int` value
  `columnNumber` - an `int` value

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  `getPublicId` returns the public ID of the node.

  Specified by:
    `getPublicId` in interface `SourceLocator`
  Returns:
    a `String` value
  See Also:
    `SourceLocator.getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  `getSystemId` returns the system ID of the node.

  Specified by:
    `getSystemId` in interface `SourceLocator`
  Returns:
    a `String` value
  See Also:
    `SourceLocator.getPublicId()`

### getLineNumber

    public int getLineNumber()

  `getLineNumber` returns the line number of the node.

  Specified by:
    `getLineNumber` in interface `SourceLocator`
  Returns:
    an `int` value
  See Also:
    `SourceLocator.getColumnNumber()`

### getColumnNumber

    public int getColumnNumber()

  `getColumnNumber` returns the column number of the node.

  Specified by:
    `getColumnNumber` in interface `SourceLocator`
  Returns:
    an `int` value
  See Also:
    `SourceLocator.getLineNumber()`

### toString

    public java.lang.String toString()

  `toString` returns a string representation of this NodeLocator instance.

  Returns:
    a `String` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.